petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFunctionBeginUser

First executable line of user provided PETSc routine

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBeginUser;

Not Collective

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Final line of PETSc functions should be PetscFunctionReturn(0) except for main().

Not available in Fortran

### See Also

PetscFunctionReturn(), PetscFunctionBegin, PetscFunctionBeginHot

### Keywords

traceback, error handling

Level:intermediate
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html